For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Account object
          • GET/accounts
          • POST/accounts
          • GET/accounts/{id}
          • PATCH/accounts/{id}
          • GET/accounts/meta/patch/{id}
          • GET/accounts/meta/post
          • GET/accounts/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsAccounts

/accounts/{id}

Beta
PATCH
/crm/v1/accounts/:id
PATCH
/api/crm/v1/accounts/:id
$curl -X PATCH https://api.merge.dev/api/crm/v1/accounts/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
200Updated
1{
2 "model": {
3 "id": "0958cbc6-6040-430a-848e-aafacbadf4ae",
4 "remote_id": "19202938",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "owner": "0258cbc6-6020-430a-848e-aafacbadf4ae",
8 "name": "Merge API",
9 "description": "One API for all integrations",
10 "industry": "API's",
11 "website": "https://merge.dev/",
12 "number_of_employees": 276000,
13 "addresses": [
14 {
15 "created_at": "2021-09-15T00:00:00Z",
16 "modified_at": "2021-10-16T00:00:00Z",
17 "street_1": "50 Bowling Green Dr",
18 "street_2": "Golden Gate Park",
19 "city": "San Francisco",
20 "state": "CA",
21 "postal_code": "94122",
22 "country": "US",
23 "address_type": "BILLING"
24 }
25 ],
26 "phone_numbers": [
27 {
28 "created_at": "2021-09-15T00:00:00Z",
29 "modified_at": "2021-10-16T00:00:00Z",
30 "phone_number": "+16788879833",
31 "phone_number_type": "Mobile"
32 }
33 ],
34 "last_activity_at": "2022-02-10T00:00:00Z",
35 "remote_updated_at": "2022-01-09T00:00:00Z",
36 "remote_created_at": "2021-11-10T00:00:00Z",
37 "remote_was_deleted": true,
38 "field_mappings": {
39 "organization_defined_targets": {
40 "custom_key": "custom_value"
41 },
42 "linked_account_defined_targets": {
43 "custom_key": "custom_value"
44 }
45 },
46 "remote_data": [
47 {
48 "path": "/accounts",
49 "data": null
50 }
51 ],
52 "remote_fields": [
53 {
54 "remote_field_class": {
55 "id": "string",
56 "display_name": "string",
57 "remote_key_name": "string",
58 "description": "string",
59 "is_custom": true,
60 "is_common_model_field": true,
61 "is_required": true,
62 "field_type": "string",
63 "field_format": "string",
64 "field_choices": [
65 "string"
66 ],
67 "item_schema": {
68 "item_type": "string",
69 "item_format": "string",
70 "item_choices": [
71 "string"
72 ]
73 }
74 },
75 "value": "string"
76 }
77 ]
78 },
79 "warnings": [
80 {
81 "title": "Unrecognized Field",
82 "detail": "An unrecognized field, age, was passed in with request data.",
83 "problem_type": "UNRECOGNIZED_FIELD",
84 "source": {
85 "pointer": "/age"
86 },
87 "block_merge_link": true,
88 "raw_error": "string",
89 "error_code": 1
90 }
91 ],
92 "errors": [
93 {
94 "title": "Missing Required Field",
95 "detail": "custom_fields is a required field on model.",
96 "problem_type": "MISSING_REQUIRED_FIELD",
97 "source": {
98 "pointer": "/model/custom_fields"
99 },
100 "block_merge_link": true,
101 "raw_error": "string",
102 "error_code": 1
103 }
104 ],
105 "logs": [
106 {
107 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
108 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
109 "log_summary": {
110 "url": "www.exampleintegration.com/api/v1/exampleapi",
111 "method": "POST",
112 "status_code": 200
113 }
114 }
115 ]
116}

Updates an Account object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/accounts/{id}

Next

/accounts/meta/patch/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Account object is used to represent a company in a CRM system.

Usage Example

TODO

Response

modelobject

Description

The Account object is used to represent a company in a CRM system.

Usage Example

TODO

warningslist of objects
errorslist of objects
logslist of objects